> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twitterapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Get User Info By UserIds

> Batch get user info by user ids. Pricing:

- Single user request: 18 credits per user
- Bulk request (100+ users): 10 credits per user

Note: For cost optimization, we recommend batching requests when fetching multiple user profiles.



## OpenAPI

````yaml get /twitter/user/batch_info_by_ids
openapi: 3.0.1
info:
  title: TwitterAPI.io the most stable/fastest/cheapest twitter api.
  description: Provide the most stable/fastest/cheapest twitter api.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twitterapi.io
security:
  - ApiKeyAuth: []
paths:
  /twitter/user/batch_info_by_ids:
    get:
      description: >-
        Batch get user info by user ids. Pricing:


        - Single user request: 18 credits per user

        - Bulk request (100+ users): 10 credits per user


        Note: For cost optimization, we recommend batching requests when
        fetching multiple user profiles.
      parameters:
        - name: userIds
          in: query
          description: >-
            The user ids to get.eg. 1234567890,1234567891,1234567892. Use comma
            to separate multiple user ids
          required: true
          schema:
            type: string
            format: string
      responses:
        '200':
          description: User infos
          content:
            application/json:
              schema:
                type: object
                properties:
                  users:
                    type: array
                    items:
                      $ref: '#/components/schemas/UserInfo'
                    description: Array of user infos
                  status:
                    type: string
                    description: Status of the request.success or error
                    enum:
                      - success
                      - error
                  msg:
                    type: string
                    description: Message of the request.error message
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UserInfo:
      type: object
      properties:
        type:
          type: string
          enum:
            - user
        userName:
          type: string
          description: The username of the Twitter user
        url:
          type: string
          description: The x.com URL of the user's profile
        id:
          type: string
          description: The unique identifier of the user
        name:
          type: string
          description: The display name of the user
        isBlueVerified:
          type: boolean
          description: Whether the user has Twitter Blue verification
        verifiedType:
          type: string
          description: The type of verification. eg. "government" ,can be empty
        profilePicture:
          type: string
          description: URL of the user's profile picture
        coverPicture:
          type: string
          description: URL of the user's cover picture
        description:
          type: string
          description: The user's profile description
        location:
          type: string
          description: 'The user''s location.for example: 東京の端っこ . may be empty'
        followers:
          type: integer
          description: Number of followers
        following:
          type: integer
          description: Number of accounts following
        canDm:
          type: boolean
          description: Whether the user can receive DMs
        createdAt:
          type: string
          description: >-
            When the account was created.for example: Thu Dec 13 08:41:26 +0000
            2007
        favouritesCount:
          type: integer
          description: Number of favorites
        hasCustomTimelines:
          type: boolean
          description: Whether the user has custom timelines
        isTranslator:
          type: boolean
          description: Whether the user is a translator
        mediaCount:
          type: integer
          description: Number of media posts
        statusesCount:
          type: integer
          description: Number of status updates
        withheldInCountries:
          type: array
          items:
            type: string
          description: Countries where the account is withheld
        affiliatesHighlightedLabel:
          type: object
        possiblySensitive:
          type: boolean
          description: Whether the account may contain sensitive content
        pinnedTweetIds:
          type: array
          items:
            type: string
          description: IDs of pinned tweets
        isAutomated:
          type: boolean
          description: Whether the account is automated
        automatedBy:
          type: string
          description: The account that automated the account
        unavailable:
          type: boolean
          description: Whether the account is unavailable
        message:
          type: string
          description: >-
            The message of the account.eg. "This account is unavailable" or
            "This account is suspended"
        unavailableReason:
          type: string
          description: 'The reason the account is unavailable.eg. "suspended" '
        profile_bio:
          type: object
          properties:
            description:
              type: string
            entities:
              type: object
              properties:
                description:
                  type: object
                  properties:
                    urls:
                      type: array
                      items:
                        type: object
                        properties:
                          display_url:
                            type: string
                          expanded_url:
                            type: string
                          indices:
                            type: array
                            items:
                              type: integer
                          url:
                            type: string
                url:
                  type: object
                  properties:
                    urls:
                      type: array
                      items:
                        type: object
                        properties:
                          display_url:
                            type: string
                          expanded_url:
                            type: string
                          indices:
                            type: array
                            items:
                              type: integer
                          url:
                            type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````